org.apache.ignite.internal.processors.cache

## Class GridCacheCompoundIdentityFuture<T>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.future.GridCompoundFuture<T,T>
    - - org.apache.ignite.internal.util.future.GridCompoundIdentityFuture<T>
      - - org.apache.ignite.internal.processors.cache.GridCacheCompoundIdentityFuture<T>

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<T>, GridCacheFuture<T>, IgniteInClosure<IgniteInternalFuture<T>>

Direct Known Subclasses:
  CacheDistributedGetFutureAdapter, GridCacheTxRecoveryFuture, GridDhtColocatedLockFuture, GridDhtLockFuture, GridDhtTxFinishFuture, GridNearLockFuture, GridNearTxAbstractEnlistFuture, GridNearTxFinishFuture, PartitionCountersNeighborcastFuture

    public abstract class GridCacheCompoundIdentityFuture<T>
    extends GridCompoundIdentityFuture<T>
    implements GridCacheFuture<T>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `GridCacheCompoundIdentityFuture(@Nullable IgniteReducer<T,T> rdc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `duration()` Gets duration in milliseconds between start of the future and current time if future is not finished, or between start and finish of this future.
`protected boolean` `onDone(T res, @Nullable Throwable err, boolean cancel)`
`long` `startTime()` Gets start time for this future.

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundIdentityFuture

`toString`

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundFuture

`add, apply, cancel, clear, future, futures, futuresCountNoLock, hasFutures, hasPending, ignoreFailure, initialized, logDebug, logError, markInitialized, processFailure`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheFuture

`futureId, markNotTrackable, onNodeLeft, trackable`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### GridCacheCompoundIdentityFuture

    protected GridCacheCompoundIdentityFuture(@Nullable
                                              @Nullable IgniteReducer<T,T> rdc)

Parameters:
  `rdc` - Reducer.

### Method Detail

#### startTime

    public long startTime()

Gets start time for this future.

Specified by:
  `startTime` in interface `GridCacheFuture<T>`
Returns:
  Start time for this future.

#### duration

    public long duration()

Gets duration in milliseconds between start of the future and current time if future is not finished, or between start and finish of this future.

Specified by:
  `duration` in interface `GridCacheFuture<T>`
Returns:
  Time in milliseconds this future has taken to execute.

#### onDone

    protected boolean onDone(@Nullable
                             T res,
                             @Nullable
                             @Nullable Throwable err,
                             boolean cancel)

Overrides:
  `onDone` in class `GridFutureAdapter<T>`
Parameters:
  `res` - Result.
  `err` - Error.
  `cancel` - `True` if future is being cancelled.
Returns:
  `True` if result was set by this call.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020